Summary:	MATE Terminal Emulator
Summary(pl.UTF-8):	Emulator terminala dla środowiska MATE
Name:		mate-terminal
Version:	1.16.1
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.16/%{name}-%{version}.tar.xz
# Source0-md5:	8f10d753e9ee9c1cbac66842460dc1c9
Patch0:		wordseps.patch
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gtk+3-devel >= 3.14.0
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	mate-common
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	sed >= 4.0
BuildRequires:	vte-devel >= 0.38
BuildRequires:	xorg-lib-libSM-devel >= 1.0.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	yelp-tools
Requires:	glib2 >= 1:2.36.0
Requires:	gtk+3 >= 3.14.0
Requires:	vte >= 0.38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Terminal Emulator.

%description -l pl.UTF-8
Emulator terminala dla środowiska MATE.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,/usr/bin/env python,/usr/bin/python,' mate-terminal.wrapper

%build
mate-doc-common --copy
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-compile \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not using alternatives in pld, drop
# https://github.com/mate-desktop/mate-terminal/issues/9
%{__rm} $RPM_BUILD_ROOT%{_bindir}/mate-terminal.wrapper

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,jv,pms}

desktop-file-install \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/*.desktop

%find_lang %{name} --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-terminal
%{_mandir}/man1/mate-terminal.1*
%{_desktopdir}/mate-terminal.desktop
%{_datadir}/appdata/mate-terminal.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.terminal.gschema.xml
%{_datadir}/mate-terminal
%changelog
* Mon Oct 24 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-terminal.git;a=log;h=master

* Mon Oct 24 2016 Jan Palus <atler@pld-linux.org> 48516b0
- up to 1.16.1

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 8ace1b2
- up to 1.16.0

* Fri Aug 12 2016 Jan Palus <atler@pld-linux.org> b7e98d8
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 32884c4
- up to 1.14.0

* Fri Dec 04 2015 Jan Palus <atler@pld-linux.org> 978d3f1
- up to 1.12.1

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> d768dd1
- doesn't use dconf directly

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 8f88b44
- up to 1.12.0

* Sun Jul 12 2015 Jan Palus <atler@pld-linux.org> f5a4157
- up to 1.10.1

* Sat May 16 2015 Jakub Bogusz <qboosh@pld-linux.org> edfaf24
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 033f4b7
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 725464e
- updated gettext BR

* Mon Sep 29 2014 Jan Palus <atler@pld-linux.org> 86c5f1f
- up to 1.8.1

* Fri Jul 11 2014 Jakub Bogusz <qboosh@pld-linux.org> b3039ee
- cmn locale is supported now
- cleaned up scrollkeeper leftovers

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 02fd40a
- up to 1.8.0

* Sat Mar 01 2014 Elan Ruusamäe <glen@delfi.ee> 7a457d6
- drop mate-terminal.wrapper, not using alternatives in pld so this only pulls bogus python dep

* Mon Jan 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 81ff77e
- updated to 1.6.2
- updated wordseps patch

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 1c68d73
- pl, completed dependencies
- License is GPL v3+

* Wed May 15 2013 Elan Ruusamäe <glen@delfi.ee> e31a65d
- add ';' to wordseps, similar to other terminal emulators

* Wed May 15 2013 Elan Ruusamäe <glen@delfi.ee> 246e390
- update BR deps

* Wed May 15 2013 Elan Ruusamäe <glen@delfi.ee> b2beb8a
- add dependency for %find_lang --with-mate

